ResourceException (Gradle API 5.1)

Package org.gradle.api.resources

## Class ResourceException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.GradleException
        - - org.gradle.api.resources.ResourceException

- All Implemented Interfaces:
    `Serializable`
  Direct Known Subclasses:
    `MissingResourceException`

      public class ResourceException
      extends GradleException

  Generic resource exception that all other resource-related exceptions inherit from.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ResourceException()` |
    `ResourceException​(String message)` |
    `ResourceException​(String message, Throwable cause)` |
    `ResourceException​(URI location, String message)` |
    `ResourceException​(URI location, String message, Throwable cause)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `URI` | `getLocation()` | Returns the location of the resource, if known.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceException

          public ResourceException()

    - #### ResourceException

          public ResourceException​(String message)

    - #### ResourceException

          public ResourceException​(String message,
                                   Throwable cause)

    - #### ResourceException

          public ResourceException​(URI location,
                                   String message)

    - #### ResourceException

          public ResourceException​(URI location,
                                   String message,
                                   Throwable cause)

  - ### Method Detail

    - #### getLocation

          @Nullable
          public URI getLocation()

      Returns the location of the resource, if known.
      Returns:
        The location, or null if not known.